import { UmbLitElement } from '../../../../../../core/lit-element/index.js';
declare const elementName = "umb-document-type-tree-item-table-collection-view";
export declare class UmbDocumentTypeTreeItemTableCollectionViewElement extends UmbLitElement {
    #private;
    private _tableConfig;
    private _tableColumns;
    private _tableItems;
    constructor();
    render(): import("lit-html").TemplateResult<1>;
    static styles: import("lit").CSSResult[];
}
export { UmbDocumentTypeTreeItemTableCollectionViewElement as element };
declare global {
    interface HTMLElementTagNameMap {
        [elementName]: UmbDocumentTypeTreeItemTableCollectionViewElement;
    }
}
